<?php
	// Exit if accessed directly
	if( !defined( 'ABSPATH' ) ) exit;
	
	function mg2wpforo_init(){
		global $wpforo;
		if( !is_null($wpforo) ){
			$GLOBALS['mg2wpforo'] = new Migrate2wpForo($wpforo);
		}else{
			add_action( 'admin_notices', 'mg2wpforo_admin_notice__error' );
		}
	}
	add_action('plugins_loaded', 'mg2wpforo_init');
	
	register_activation_hook(MG2WPFORO_BASENAME, 'do_mg2wpforo_activation');
	function do_mg2wpforo_activation($network_wide){
		if ( is_multisite() && $network_wide ) { 
	        global $wpdb;
			
	        $old_blogid = $wpdb->blogid;
	        $blogids = $wpdb->get_col("SELECT blog_id FROM {$wpdb->blogs}");
	        foreach ($blogids as $blogid){
	            switch_to_blog($blogid);
	            mg2wpforo_activation();
	        }
	        switch_to_blog($old_blogid);
	    }else{
	        mg2wpforo_activation();
	    }
	}
	
	function mg2wpforo_activation(){
		global $wpdb;
		$sql = "CREATE TABLE IF NOT EXISTS " . $wpdb->prefix . "mg2wpforo(
			id SERIAL PRIMARY KEY,
			obj VARCHAR(20) NOT NULL,
			old_id BIGINT UNSIGNED NOT NULL,
			new_id BIGINT UNSIGNED NOT NULL,
			UNIQUE KEY unqdata(obj,old_id),
			KEY(obj,old_id,new_id)
		)ENGINE = MyISAM";
		$wpdb->query($sql);
		$sql = "TRUNCATE ".$wpdb->prefix."mg2wpforo";
		$wpdb->query($sql);
		$sql = "ALTER TABLE " . $wpdb->prefix . "wpforo_topics ENGINE = MyISAM";
		$wpdb->query($sql);
		$sql = "ALTER TABLE " . $wpdb->prefix . "wpforo_posts ENGINE = MyISAM";
		$wpdb->query($sql);
	}
	
	function mg2wpforo_admin_notice__error() {
		$class = 'notice notice-error';
		$message = __( 'Migrate2wpForo Notice: Please activate required <a href="http://wpforo.com">wpForo plugin</a> otherwise <b>Migrate2wpForo</b> will not work', 'mg2wpforo' );
		printf( '<div class="%1$s"><p>%2$s</p></div>', $class, $message ); 
	}
	
	function mg2wpforo_admin_notice__finish(){
		$class = 'notice';
		$message = '';
		if($_GET['mg2wpforo'] == 'finish'){
			$class = 'notice notice-success ';
			$message = __( 'Migrate2wpForo Notice: Successfully Finished', 'mg2wpforo' );
		}
		printf( '<div class="%1$s"><p>%2$s</p></div>', $class, $message ); 
	}
	
	function mg2wpforo_admin_notice__no_forum_found(){
		$class = 'notice notice-warning ';
		$message = __( 'Migrate2wpForo Notice: We can\'t find this board on this system', 'mg2wpforo' );
		printf( '<div class="%1$s"><p>%2$s</p></div>', $class, $message );
	}